//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.bug;

//===========================================================================
// import
//===========================================================================
// Java core API
import java.util.*;
import java.text.*;
import org.apache.commons.logging.*;

// DB API
import jp.gr.java_conf.bugslife.db.*;

// Util API
import jp.gr.java_conf.bugslife.util.*;
import jp.gr.java_conf.bugslife.user.*;
import jp.gr.java_conf.bugslife.system.*;


/**
 *<PRE>
 * 
 * ChoiceBugクラス
 * 
 *</PRE>
 * @version	0.0, 2001/09/10
 * @author	鰐川　正寛
 */
//===========================================================================
public class ChoiceBug extends Bug
{
//===========================================================================
// attributes
//===========================================================================
	/**
	 *	機能名
	 */
	private String m_functionString = null;
	/**
	 *	対処名
	 */
	private String m_resolutionString = null;
	/**
	 * Log
	 */
	private Log log = LogFactory.getLog(this.getClass().getName());
//===========================================================================
// methods
//===========================================================================
	/**
	 *	デフォルトコンストラクタ
	 *
	 */
	public ChoiceBug()
	{
		
	}
//======================================
// Property
//======================================
	/**
	 * 機能名称の取得
	 * 
	 * @return 機能名称
	 */
	public String getFunctionString()
	{
		return m_functionString;
	}
	/**
	 * 機能名称のセット
	 * 
	 * @param functionString 機能名称
	 */
	public void setFunctionString(String functionString)
	{
		m_functionString = functionString;
	}
	
	/**
	 * 対処名の取得
	 * 
	 * @return 対処名
	 */
	public String getResolutionString()
	{
		return m_resolutionString;
	}
	/**
	 * 対処名のセット
	 * 
	 * @param resolutionString 対処名
	 */
	public void setResolutionString(String resolutionString)
	{
		m_resolutionString = resolutionString;
	}
//===========================================================================
// methods
//===========================================================================
	/**
	 *	クラス情報
	 */
	public String toString()
	{
		StringBuffer sb = new StringBuffer();
		sb.append("--- [ChoiceBug] --- \n");
		sb.append("bno       : " + getBnoString() + "\n");
		sb.append("fucntion  : " + m_functionString + "\n");
		sb.append("title     : " + getTitle() + "\n");
		sb.append("status    : " + getStatusString() + "\n");
		sb.append("Compo     : " + getComponentString() + "\n");
		sb.append("statusBoed: " + getStatusWhitebord() + "\n");
		sb.append("issuDate  : " + getIssuDateString() + "\n");
		sb.append("updateDate: " + getBugUpdateDateString() + "\n");
		sb.append("confirmDate: " + getComfirmDateString() + "\n");
		sb.append("--- [ChoiceBug] --- \n");
		return sb.toString();
	}
	/**
	 *	テストメイン
	 */
	public static void main(String[] args)
	{
		System.out.println("------- << ChoiceBug Test Start >> -----------");
		unitTest1();	//検索テスト
		System.out.println("------- << ChoiceBug Test End >> -----------");
	}
	
	/**
	 *	unitTest1
	 *
	 * 新規作成テスト
	 *
	 */
	public static void unitTest1()
	{
		System.out.println("------- unitTest1 -----------");
		
		String where = "bno = ?";
		ArrayList params = new ArrayList();
		params.add("1");
		
		Collection list = BugFinder.findChoiceBug(where, params);
		//表示
		display(list);
		
	}
	/**
	 * リストの表示
	 *
	 */
	private static void display(Collection list)
	{
		Iterator ite = list.iterator();
		
		while(ite.hasNext()) {
			ChoiceBug ChoiceBug = (ChoiceBug)ite.next();
			
			System.out.println(ChoiceBug.toString());
		}
	}
}